System.Security 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used with the and methods to protect data in memory.

Specifies the scope of memory protection to be applied by the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.MemoryProtectionScope

  All code in any process can unprotect memory that was protected using the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.MemoryProtectionScope

  Only code running in the same user context as the code that called the method can unprotect memory.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.MemoryProtectionScope

  Only code running in the same process as the code that called the method can unprotect memory.